## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.5

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XNodeSetNodeProxy Class Reference

Class to hold XPath return types. More...

`#include <XNodeSetNodeProxy.hpp>`

Inheritance diagram for XNodeSetNodeProxy:

[legend]
Collaboration diagram for XNodeSetNodeProxy:

[legend]
List of all members.

## Public Methods

- XNodeSetNodeProxy (XalanNode *theNode)
    Create an XNodeSetNodeProxy. More...
- XNodeSetNodeProxy (const XNodeSetNodeProxy &source)
    Create an XNodeSetNodeProxy from another. More...
- virtual ~XNodeSetNodeProxy ()
- virtual XNodeSetNodeProxy* clone (void *theAddress=0) const
    Clone the instance. More...
- virtual const NodeRefListBase& nodeset () const
    Cast result object to a nodelist. More...
- virtual XalanNode* item (size_type index) const
- virtual size_type getLength () const

## Protected Methods

- virtual eObjectType getRealType () const
    Tell what kind of class this is. More...

## Detailed Description

Class to hold XPath return types.

## Constructor & Destructor Documentation

XNodeSetNodeProxy::XNodeSetNodeProxy ( | XalanNode * theNode )

| Create an XNodeSetNodeProxy.

XNodeSetNodeProxy::XNodeSetNodeProxy ( | const XNodeSetNodeProxy & source )

  | Create an XNodeSetNodeProxy from another. Parameters:
  source | object to copy

XNodeSetNodeProxy::~XNodeSetNodeProxy ( | )`[virtual]`

## Member Function Documentation

XNodeSetNodeProxy * XNodeSetNodeProxy::clone ( | void * theAddress = 0 ) const`[virtual]`

  | Clone the instance. Parameters:
  If | theAddress is not null, the XObject will clone itself into that address.
Returns: a clone of the instance. Reimplemented from XNodeSetBase.

size_type XNodeSetNodeProxy::getLength ( | ) const`[virtual]`

| Reimplemented from XNodeSetBase.

eObjectType XNodeSetNodeProxy::getRealType ( | ) const`[protected, virtual]`

| Tell what kind of class this is. Returns: numeric type value Reimplemented from XObject.

XalanNode * XNodeSetNodeProxy::item ( | size_type index ) const`[virtual]`

| Reimplemented from XNodeSetBase.

const NodeRefListBase & XNodeSetNodeProxy::nodeset ( | ) const`[virtual]`

| Cast result object to a nodelist. Returns: node list Reimplemented from XNodeSetBase.

The documentation for this class was generated from the following file:

- XNodeSetNodeProxy.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.5 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.